<template>
	<view class="content">
		<template v-if="!isUp">
			<view class="content-money">
				<view class="flex ">
					<view class="buttom">
						<view class="icon">{{ money | getMoneyStyle }}</view>
						<text class="text">可提现佣金</text>
					</view>
				</view>
			</view>
			<view class="row-box" style="margin-bottom: 20rpx;">
				<view class="title">提现金额</view>
				<view class="row">
					<text class="tit">￥</text>
					<input class="input" type="number" v-model="withdrawal" placeholder="请输入提现金额"
						placeholder-class="placeholder" />
					<view class="buttom" @click="withdrawal = money">全部提现</view>
				</view>
			</view>
			<view class="row b-b">
				<text class="tit">姓名</text>
				<input class="input" v-model="name" type="text" placeholder="提款人姓名" placeholder-class="placeholder" />
			</view>
			<view class="row b-b">
				<text class="tit">银行卡号</text>
				<input class="input" v-model="bankno" type="text" placeholder="请输入银行卡号"
					placeholder-class="placeholder" />
			</view>
			<view class="row b-b">
				<text class="tit">所属银行</text>
				<input class="input" v-model="bankname" type="text" placeholder="请输入所属银行"
					placeholder-class="placeholder" />
			</view>
			<button class="add-btn up" @click="confirm">提交申请</button>
		</template>
	</view>
</template>

<script>
	import {
		getStoreCms,
		cash
	} from '@/api/user.js'
	import {
		getMoneyStyle
	} from '@/utils/rocessor.js';
	import {
		extractCash,
		extractBank,
		aliInfo,
		bankInfo
	} from '@/api/wallet.js';
	import {
		mapState,
		mapMutations
	} from 'vuex';
	export default {
		filters: {
			getMoneyStyle
		},
		components: {
			// uniNoticeBar
		},
		data() {
			return {
				name: '',
				bankname: '',
				bankno: '',
				money: '0.00', //可提现金额
				// freeze: '0.0', //冻结金额
				withdrawal: 0, //提现金额
				// minPrice: 0, //最少提现金额
			};
		},
		onLoad(options) {
			if (this.isUp) {
				uni.switchTab({
					url: '/pages/index/index'
				})
			}
			this.loadData();
		},
		computed: {
			...mapState(['isUp']),
		},
		methods: {
			// 加载余额信息
			async loadData() {
				let obj = this
				getStoreCms().then(({
					data
				}) => {
					obj.money = data.all
				})
			},
			// 跳转
			navTo(url) {
				uni.navigateTo({
					url: url
				});
			},
			// 切换选中对象
			tabRadio(e) {
				this.type = e.detail.value;
			},
			// 提交
			confirm() {
				let obj = this
				if (obj.withdrawal == 0) {
					return obj.$api.msg('提现金额不能为0')
				}
				if (obj.withdrawal < 0) {
					return obj.$api.msg('请输入正确的提现金额')
				}
				if (obj.name == '') {
					return obj.$api.msg('请输入提款人姓名')
				}
				if (obj.bankno == '') {
					return obj.$api.msg('请输入银行卡号')
				}
				if (obj.bankname == '') {
					return obj.$api.msg('请输入所属银行')
				}
				let data = {
					// extract_type: obj.type, //bank -银行卡 alipay-支付宝 weixin-微信
					money: obj.withdrawal, //金额
					bankname: obj.bankname,
					cardnum: obj.bankno,
					name: obj.name
				};
				cash(data)
					.then(e => {
						uni.showToast({
							title: '提交成功',
							duration: 2000,
							position: 'top'
						});
						// obj.name = ''
						// obj.bankname = ''
						// obj.bankno = ''
						obj.money = '0.00' //可提现金额
						obj.withdrawal = 0 //提现金额
						obj.loadData()
					})
					.catch(e => {
						console.log();
					});
			}
		}
	};
</script>

<style lang="scss">
	page {
		height: 100%;
	}

	.content-money {
		padding: 30rpx 0;
		background: #ffffff;
	}

	.flex {
		background-color: #ffffff;
		text-align: center;
		margin: 0 30rpx;
		border-radius: $border-radius-sm;

		.buttom {
			font-size: $font-lg;
			width: 100%;
		}

		.interval {
			width: 2px;
			height: 60rpx;
			background-color: #eeeeee;
		}

		.icon {
			background-size: 100%;
			font-size: 42rpx;
			color: $font-color-dark;
			font-weight: bold;
			background-repeat: no-repeat;
			background-position: center;
		}

		.text {
			color: $font-color-light;
		}
	}

	.row-box {
		margin-top: 30rpx;
		padding: 20rpx 30rpx;
		background: #fff;

		.title {
			font-size: $font-base + 2rpx;
			color: $font-color-dark;
		}

		.row {
			display: flex;
			align-items: center;
			position: relative;
			height: 80rpx;

			.tit {
				flex-shrink: 0;
				width: 40rpx;
				font-size: 30rpx;
				color: $font-color-dark;
			}

			.input {
				flex: 1;
				font-size: 30rpx;
				color: $font-color-dark;
			}

			.iconlocation {
				font-size: 36rpx;
				color: $font-color-light;
			}

			.buttom {
				color: #901b21;
				font-size: $font-base;
			}
		}
	}

	.add-btn {
		&.modified {
			color: $base-color;
		}

		&.up {
			background-color: $base-color;
			color: #fff;
		}

		display: flex;
		align-items: center;
		justify-content: center;
		width: 690rpx;
		height: 80rpx;
		margin: 0 auto;
		margin-top: 30rpx;
		font-size: $font-lg;
		border-radius: 10rpx;
		// box-shadow: 1px 2px 5px rgba(219, 63, 96, 0.4);
	}

	.list {
		padding-left: 30rpx;
		margin-top: 30rpx;
		background-color: #ffffff;

		.box {
			display: flex;
			align-items: center;
			width: 100%;
			height: 120rpx;
			border-bottom: 1px solid $border-color-light;

			.icon {
				font-size: 48rpx;
				padding-right: 20rpx;

				.icon-img {
					height: 50rpx;
					width: 50rpx;
				}
			}

			.iconweixin1 {
				color: #18bf16;
			}

			.iconzhifubao {
				color: #08aaec;
			}

			.title-box {
				flex-grow: 1;
				text-align: left;

				.title {
					font-size: $font-base + 2rpx;
					color: $font-color-base;
				}

				.node {
					font-size: $font-sm;
					color: $font-color-light;
				}
			}
		}
	}

	/deep/ .uni-radio-input {
		width: 45rpx;
		height: 45rpx;
	}

	.row {
		display: flex;
		align-items: center;
		position: relative;
		padding: 0 30rpx;
		height: 110rpx;
		background: #fff;

		.tit {
			flex-shrink: 0;
			width: 140rpx;
			font-size: 30rpx;
			color: $font-color-dark;
		}

		.input {
			flex: 1;
			font-size: 30rpx;
			color: $font-color-dark;
		}

		.iconlocation {
			font-size: 36rpx;
			color: $font-color-light;
		}
	}
</style>
